> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nimbleway.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Run Artifact

> Get Run Artifact



## OpenAPI

````yaml /api-reference/openapi.json get /v1/jobs/runs/{run_id}/artifacts/{artifact_id}
openapi: 3.1.0
info:
  title: Nimble SDK
  version: 1.0.0
  description: The AI-Native SDK for Real-Time Web Data at scale
servers:
  - url: https://sdk.nimbleway.com
security: []
paths:
  /v1/jobs/runs/{run_id}/artifacts/{artifact_id}:
    get:
      tags:
        - Jobs
      summary: Get Run Artifact
      description: Get Run Artifact
      operationId: get_run_artifact_v1_jobs_runs__run_id__artifacts__artifact_id__get
      parameters:
        - name: run_id
          in: path
          required: true
          schema:
            type: string
            title: Run Id
        - name: artifact_id
          in: path
          required: true
          schema:
            type: string
            title: Artifact Id
        - name: token
          in: cookie
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Token
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Artifact'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - BearerAuth: []
components:
  schemas:
    Artifact:
      properties:
        id:
          type: string
          title: Id
          description: Artifact identifier.
        type:
          type: string
          title: Type
          description: Artifact type.
        description:
          type: string
          title: Description
          description: Human-readable artifact description.
        created_at:
          type: string
          format: date-time
          title: Created At
          description: When the artifact was created.
      type: object
      required:
        - id
        - type
        - description
        - created_at
      title: Artifact
      description: A file produced by a run.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````